Skip to main content
PUT
/
pwa
/
v3
/
projects
/
:project_slug
/
environments
/
:environment_slug
/
redirect_urls
Update
curl --request PUT \
  --url https://management.stytch.com/pwa/v3/projects/:project_slug/environments/:environment_slug/redirect_urls \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "valid_types": [
    {
      "is_default": true,
      "type": "LOGIN"
    }
  ],
  "do_not_promote_defaults": true
}
'
{
  "request_id": "<string>",
  "redirect_url": {
    "url": "<string>",
    "valid_types": [
      {
        "is_default": true,
        "type": "LOGIN"
      }
    ]
  },
  "status_code": 123
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

project_slug
string
required
environment_slug
string
required

Query Parameters

url
string
required

Body

application/json

Request type

valid_types
object[]
do_not_promote_defaults
boolean

Response

Successful response

Response type

request_id
string
required
redirect_url
object
required
status_code
integer<int32>
required